| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Classes | Enumerations | Functions
Package IG.Gr

## Classes
class | GraphicLineBase
| Base class for graphic line primitive. More...
class | GraphicObject
| Graphic object, a tree - like collection of graphic primitives. More...
class | GraphicPointBase
| Base class for graphic line primitive. More...
class | GraphicPrimitive
| Abstract base class for all graphic primitives such as lines, facets, etc. More...
class | GraphicPrimitiveBase
| Base class for graphic primitives. More...
class | GraphicPrimitiveSimple
| GraphicPrimitive that has a protected Coordinates[] array. More...
class | GraphicQuadriLateralBase
| Base class for graphic line primitive. More...
class | GraphicSetBase
| Base class for graphic sets that contain groups of graphic primitives. More...
class | GraphicTriangleBase
| Base class for graphic line primitive. More...
class | GrFillSettings
| Fill Settings. More...
class | GrLinesettings
| Line Settings. More...
class | GrPlottingBase
| Base class for plotting graphic objects. More...
class | GrPointSettings
| Point Settings. More...
class | GrPrimitiveSettings
| Settings for graphic primitive. More...
class | GrTextSettings
| Text Settings. More...
interface | IGraphicPrimitive
interface | IGraphicSet
| Graphic set that contain graphic primitives and other graphic sets. More...
interface | IGrsettings
class | LinePrimitive
class | Mesh
| Base class for all mesh classes. More...
class | Mesh2D
class | Mesh3D
class | Plot2dTestZedgraph
| Contains the Main1 function that performs some tests on 2D plotting with Zedgraph. More...
class | Plotter
class | PlotterZedGraph
| Plotter class that uses a ZedGraphControl object for plotting ordinary 2D graphs. More...
class | PlotZedGraphBase
| Base class for plots that are shown in a ZedGraphControl object. More...
class | PlotZedgraphCurve
| Curve plots that is shown on a ZedGraphControl object. More...
class | PointPrimitive
class | QuadriLateralFacePrimitive
class | StructuredSurfaceGridPrimitive
class | StructuredSurfaceMesh3D
class | SurfaceGridPrimitive
class | SurfceMesh3D
| Surface mesh in 3 dimensions. More...
class | TextPrimitive
class | TrilateralFacePrimitive
class | ZedGraphWindow
| Window form containing a Zedgraph control for plotting graphs. More...

## Enumerations
enum | GraphicPrimitiveType { GraphicPrimitiveType.Undefined = 0, GraphicPrimitiveType.Point = 1, GraphicPrimitiveType.Line = 2, GraphicPrimitiveType.Trigangle = 4, GraphicPrimitiveType.Quadrilateral = 8 }
| Specifies the type of the graphic primitive. More...

## Functions
delegate void | ZedGraphPlotDlg (ZedGraphControl PlotPane)
| Delegate for plotting on a Zedgraph pane. More...

## Enumeration Type Documentation

enum IG.Gr.GraphicPrimitiveType

Specifies the type of the graphic primitive.

Enumerator
Undefined |
Point |
Line |
Trigangle |
Quadrilateral |

## Function Documentation

delegate void IG.Gr.ZedGraphPlotDlg | ( | ZedGraphControl | PlotPane | ) |

Delegate for plotting on a Zedgraph pane.

Parameters

  PlotPanel | Zedgraph control used for plotting graphs within a window.

$A Igor Jun09;